Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QWidget

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QWidget class reference

### Public Functions

- QWidget ( QWidget * parent, const char * name, Qt::WFlags f = 0 ) `(obsolete)`
- QPoint backgroundOffset () const `(obsolete)`
- BackgroundOrigin backgroundOrigin () const `(obsolete)`
- bool isEnabledToTLW () const `(obsolete)`
- void setBackgroundOrigin ( BackgroundOrigin background ) `(obsolete)`

## Member Function Documentation

### QWidget::QWidget ( QWidget * parent, const char * name, Qt::WFlags f = 0 )

### QPoint QWidget::backgroundOffset () const

Always returns QPoint().

### BackgroundOrigin QWidget::backgroundOrigin () const

Always returns `WindowOrigin`.

### bool QWidget::isEnabledToTLW () const

This function is deprecated. It is equivalent to isEnabled()

### void QWidget::setBackgroundOrigin ( BackgroundOrigin background )